# Uses of Interface
org.eclipse.birt.report.engine.content.ITableContent

Packages that use ITableContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of ITableContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return ITableContent
Modifier and Type
Method
Description
`ITableContent`
IReportContent.`createTableContent()`
create an table content.
`ITableContent`
IRowContent.`getTable()`
Get the table
Methods in org.eclipse.birt.report.engine.content with parameters of type ITableContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitTable(ITableContent table, Object value)`
visit table content object

## Uses of ITableContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type ITableContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endTable(ITableContent table)`
Table end
`void`
IContentEmitter.`startTable(ITableContent table)`
Table started